package fr.velossity.twitter;

/**
 * A simple adapter on top of the twitter4J library {@link http://twitter4j.org}.
 * This is used only to send direct messages. We focus the API on the recipient itself
 * instead of modelling a Twitter service. Each recipient will be reified as an OSGi
 * service.
 * @author C. Saint-Marcel
 * 
 */
public interface Recipient {

	/**
	 * Sends a direct message to this recipient.
	 * @param message
	 * @return
	 */
	boolean sendMessage(String message);
}
